# NXP Secure Provisioning SDK

**Secure Provisioning SDK (SPSDK)** enables connection and communication with target devices for purposes of secure provisioning and programming. Delivered as python library with command-line applications for direct utilization.

![](https://github.com/NXPmicro/spsdk/raw/master/docs/_static/images/spsdk-architecture.png)

## Links

* [GitHub](https://github.com/NXPmicro/spsdk)
* [PyPi](https://pypi.org/project/spsdk/)
* [Documentation](https://spsdk.readthedocs.io)
* [Project page](https://www.nxp.com/design/design-center/software/development-software/secure-provisioning-sdk-spsdk:SPSDK)

## Supported Devices

|SPSDK name|         Category          |                                                                                                                                                Weblink                                                                                                                                                |Latest Revision|
|----------|---------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------|
|k32w148   |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless/multiprotocol-mcus/tri-core-secure-and-ultra-low-power-mcu-for-matter-over-thread-and-bluetooth-le-5-3:K32W148)                                                                                                                                |a2             |
|kw45b41z5 |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless/bluetooth-low-energy/32-bit-bluetooth-5-3-long-range-mcus-with-can-fd-and-lin-bus-options-arm-cortex-m33-core:KW45)                                                                                                                            |a2             |
|kw45b41z8 |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless/bluetooth-low-energy/32-bit-bluetooth-5-3-long-range-mcus-with-can-fd-and-lin-bus-options-arm-cortex-m33-core:KW45)                                                                                                                            |a2             |
|kw45z41052|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless/bluetooth-low-energy/32-bit-bluetooth-5-3-long-range-mcus-with-can-fd-and-lin-bus-options-arm-cortex-m33-core:KW45)                                                                                                                            |a2             |
|kw45z41053|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless/bluetooth-low-energy/32-bit-bluetooth-5-3-long-range-mcus-with-can-fd-and-lin-bus-options-arm-cortex-m33-core:KW45)                                                                                                                            |a2             |
|kw45z41082|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless/bluetooth-low-energy/32-bit-bluetooth-5-3-long-range-mcus-with-can-fd-and-lin-bus-options-arm-cortex-m33-core:KW45)                                                                                                                            |a2             |
|kw45z41083|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless/bluetooth-low-energy/32-bit-bluetooth-5-3-long-range-mcus-with-can-fd-and-lin-bus-options-arm-cortex-m33-core:KW45)                                                                                                                            |a2             |
|kw47b42z83|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47b42z96|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47b42z97|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47b42zb2|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47b42zb3|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47b42zb6|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47b42zb7|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47z42082|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47z42092|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47z420b2|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|kw47z420b3|Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a1             |
|lpc5502   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc550x-s0x-baseline-arm-cortex-m33-based-microcontroller-family:LPC550x)                                                                                  |a0             |
|lpc5504   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc550x-s0x-baseline-arm-cortex-m33-based-microcontroller-family:LPC550x)                                                                                  |a0             |
|lpc5506   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc550x-s0x-baseline-arm-cortex-m33-based-microcontroller-family:LPC550x)                                                                                  |a0             |
|lpc5512   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc551x-s1x-baseline-arm-cortex-m33-based-microcontroller-family:LPC551X-S1X)                                                                              |a0             |
|lpc5514   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc551x-s1x-baseline-arm-cortex-m33-based-microcontroller-family:LPC551X-S1X)                                                                              |a0             |
|lpc5516   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc551x-s1x-baseline-arm-cortex-m33-based-microcontroller-family:LPC551X-S1X)                                                                              |a0             |
|lpc5526   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc552x-s2x-mainstream-arm-cortex-m33-based-microcontroller-family:LPC552x-S2x)                                                                            |1b             |
|lpc5528   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc552x-s2x-mainstream-arm-cortex-m33-based-microcontroller-family:LPC552x-S2x)                                                                            |1b             |
|lpc5534   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-arm-cortex-m33/lpc553x-s3x-advanced-analog-armcortex-m33-based-mcu-family:LPC553x)                                                                                    |1a             |
|lpc5536   |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-arm-cortex-m33/lpc553x-s3x-advanced-analog-armcortex-m33-based-mcu-family:LPC553x)                                                                                    |1a             |
|lpc55s04  |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc550x-s0x-baseline-arm-cortex-m33-based-microcontroller-family:LPC550x)                                                                                  |a1             |
|lpc55s06  |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc550x-s0x-baseline-arm-cortex-m33-based-microcontroller-family:LPC550x)                                                                                  |a1             |
|lpc55s14  |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc551x-s1x-baseline-arm-cortex-m33-based-microcontroller-family:LPC551X-S1X)                                                                              |a1             |
|lpc55s16  |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc551x-s1x-baseline-arm-cortex-m33-based-microcontroller-family:LPC551X-S1X)                                                                              |a1             |
|lpc55s26  |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc552x-s2x-mainstream-arm-cortex-m33-based-microcontroller-family:LPC552x-S2x)                                                                            |a1             |
|lpc55s28  |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/lpc552x-s2x-mainstream-arm-cortex-m33-based-microcontroller-family:LPC552x-S2x)                                                                            |a1             |
|lpc55s36  |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-arm-cortex-m33/lpc553x-s3x-advanced-analog-armcortex-m33-based-mcu-family:LPC553x)                                                                                    |a1             |
|lpc55s66  |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/high-efficiency-arm-cortex-m33-based-microcontroller-family:LPC55S6x)                                                                                      |a1             |
|lpc55s69  |LPC5500 Series             |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc5500-cortex-m33/high-efficiency-arm-cortex-m33-based-microcontroller-family:LPC55S6x)                                                                                      |a1             |
|lpc804    |LPC800 Series              |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc800-arm-cortex-m0-plus-/lpc800-32-bit-arm-cortex-m0-plus-based-low-cost-mcu:LPC80X)                                                                                        |a0             |
|lpc810    |LPC800 Series              |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc800-arm-cortex-m0-plus-/lpc810-and-lpc830-32-bit-arm-cortex-m0-plus-based-low-cost-mcu:LPC81X_LPC83X)                                                                      |a0             |
|lpc812    |LPC800 Series              |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc800-arm-cortex-m0-plus-/lpc810-and-lpc830-32-bit-arm-cortex-m0-plus-based-low-cost-mcu:LPC81X_LPC83X)                                                                      |a0             |
|lpc845    |LPC800 Series              |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc800-arm-cortex-m0-plus-/lpc840-32-bit-arm-cortex-m0-plus-based-low-cost-mcu:LPC84X)                                                                                        |a0             |
|lpc865    |LPC800 Series              |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/lpc800-arm-cortex-m0-plus-/lpc860-32-bit-arm-cortex-m0-plus-based-low-cost-mcu-with-i3c-interface:LPC86X)                                                                     |a0             |
|mc56f81646|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mc56f81648|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mc56f81666|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mc56f81668|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mc56f81746|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mc56f81748|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mc56f81766|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mc56f81768|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mc56f81866|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mc56f81868|32-bit DSC Series          |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/additional-mpu-mcus-architectures/digital-signal-controllers/32-bit-56800ex-ef-core/up-to-100mhz-digital-signal-controllers-with-dsass-and-operational-amplifier:MC56F81xxx)                                            |b1             |
|mcxa132   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa133   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa142   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa143   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa144   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/MCX-A13X-A14X-A15X)                                                                                                                                                                                                                                     |a0             |
|mcxa145   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/MCX-A13X-A14X-A15X)                                                                                                                                                                                                                                     |a0             |
|mcxa146   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/MCX-A13X-A14X-A15X)                                                                                                                                                                                                                                     |a0             |
|mcxa152   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa153   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa154   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/MCX-A13X-A14X-A15X)                                                                                                                                                                                                                                     |a0             |
|mcxa155   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/MCX-A13X-A14X-A15X)                                                                                                                                                                                                                                     |a0             |
|mcxa156   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/MCX-A13X-A14X-A15X)                                                                                                                                                                                                                                     |a0             |
|mcxa275   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa276   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa345   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa346   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa355   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxa356   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-a-series-microcontrollers:MCX-A-SERIES)                                                                                                                  |a0             |
|mcxc041   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c04x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-classical-peripherals:MCX-C04x)                                    |a0             |
|mcxc141   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c14x-24x-44x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-usb-segment-lcd-and-classical-peripherals:MCX-C14x-24x-44x)|a0             |
|mcxc142   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c14x-24x-44x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-usb-segment-lcd-and-classical-peripherals:MCX-C14x-24x-44x)|a0             |
|mcxc143   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c14x-24x-44x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-usb-segment-lcd-and-classical-peripherals:MCX-C14x-24x-44x)|a0             |
|mcxc144   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c14x-24x-44x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-usb-segment-lcd-and-classical-peripherals:MCX-C14x-24x-44x)|a0             |
|mcxc242   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c14x-24x-44x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-usb-segment-lcd-and-classical-peripherals:MCX-C14x-24x-44x)|a0             |
|mcxc243   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c14x-24x-44x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-usb-segment-lcd-and-classical-peripherals:MCX-C14x-24x-44x)|a0             |
|mcxc244   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c14x-24x-44x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-usb-segment-lcd-and-classical-peripherals:MCX-C14x-24x-44x)|a0             |
|mcxc443   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c14x-24x-44x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-usb-segment-lcd-and-classical-peripherals:MCX-C14x-24x-44x)|a0             |
|mcxc444   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-c-series-microcontrollers/mcx-c14x-24x-44x-mcus-with-arm-cortex-m0-plus-entry-level-mcus-with-usb-segment-lcd-and-classical-peripherals:MCX-C14x-24x-44x)|a0             |
|mcxe247   |MCX Series                 |mcxe247                                                                                                                                                                                                                                                                                                |a0             |
|mcxn235   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-n-series-microcontrollers/mcx-n23x-highly-integrated-mcus-with-on-chip-accelerators-intelligent-peripherals-and-advanced-security:MCX-N23X)              |a0             |
|mcxn236   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-n-series-microcontrollers/mcx-n23x-highly-integrated-mcus-with-on-chip-accelerators-intelligent-peripherals-and-advanced-security:MCX-N23X)              |a0             |
|mcxn546   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-n-series/mcx-n94x-and-n54x-mcus-with-dual-core-arm-cortex-m33-edgelock-secure-subsystem-and-neural-processing-unit:MCX-N94X-N54X)                        |a1             |
|mcxn547   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-n-series/mcx-n94x-and-n54x-mcus-with-dual-core-arm-cortex-m33-edgelock-secure-subsystem-and-neural-processing-unit:MCX-N94X-N54X)                        |a1             |
|mcxn946   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-n-series/mcx-n94x-and-n54x-mcus-with-dual-core-arm-cortex-m33-edgelock-secure-subsystem-and-neural-processing-unit:MCX-N94X-N54X)                        |a1             |
|mcxn947   |MCX Series                 |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-n-series/mcx-n94x-and-n54x-mcus-with-dual-core-arm-cortex-m33-edgelock-secure-subsystem-and-neural-processing-unit:MCX-N94X-N54X)                        |a1             |
|mcxw235   |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a0             |
|mcxw236   |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com)                                                                                                                                                                                                                                                                 |a0             |
|mcxw716a  |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-w-series-microcontrollers/mcx-w71x-secure-and-ultra-low-power-mcus-for-matter-thread-zigbee-and-bluetooth-le:MCX-W71X)                                   |a2             |
|mcxw716c  |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/general-purpose-mcus/mcx-arm-cortex-m/mcx-w-series-microcontrollers/mcx-w71x-secure-and-ultra-low-power-mcus-for-matter-thread-zigbee-and-bluetooth-le:MCX-W71X)                                   |a2             |
|mcxw727a  |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/MCX-W72X)                                                                                                                                                                                                                                               |a1             |
|mcxw727c  |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/MCX-W72X)                                                                                                                                                                                                                                               |a1             |
|mcxw727d  |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/MCX-W72X)                                                                                                                                                                                                                                               |a1             |
|mimx8ulp  |i.MX Application Processors|[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-processors/i-mx-applications-processors/i-mx-8-applications-processors/i-mx-8ulp-applications-processor-family:i.MX8ULP)                                                                                            |a2             |
|mimx9131  |i.MX Application Processors|[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-processors/i-mx-applications-processors/i-mx-9-processors/secure-energy-efficient-i-mx-91-family-brings-essential-linux-capabilities-for-thousands-of-edge-applications:i.MX91)                                     |a0             |
|mimx9352  |i.MX Application Processors|[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-processors/i-mx-applications-processors/i-mx-9-processors/i-mx-93-applications-processor-family-arm-cortex-a55-ml-acceleration-power-efficient-mpu:i.MX93)                                                          |a1             |
|mimx943   |i.MX Application Processors|[Link to nxp.com](https://www.nxp.com/products/i.MX94)                                                                                                                                                                                                                                                 |a0             |
|mimx9596  |i.MX Application Processors|[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-processors/i-mx-applications-processors/i-mx-9-processors/i-mx-95-applications-processor-family-high-performance-safety-enabled-platform-with-eiq-neutron-npu:iMX95)                                                |b0             |
|mimxrt1010|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/i-mx-rt-crossover-mcus/i-mx-rt1010-crossover-mcu-with-arm-cortex-m7-core:i.MX-RT1010)                                                                                                              |a0             |
|mimxrt1015|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/i-mx-rt-crossover-mcus/i-mx-rt1015-crossover-mcu-with-arm-cortex-m7-core-operating-up-to-500-mhz:i.MX-RT1015)                                                                                      |a0             |
|mimxrt1020|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/i-mx-rt-crossover-mcus/i-mx-rt1020-crossover-mcu-with-arm-cortex-m7-core:i.MX-RT1020)                                                                                                              |a0             |
|mimxrt1024|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/i-mx-rt-crossover-mcus/i-mx-rt1020-crossover-mcu-with-arm-cortex-m7-core:i.MX-RT1020)                                                                                                              |a0             |
|mimxrt1040|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1040)                                                                                                                                                                                                                                            |a0             |
|mimxrt1043|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1040)                                                                                                                                                                                                                                            |a0             |
|mimxrt1046|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1040)                                                                                                                                                                                                                                            |a0             |
|mimxrt1050|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1050)                                                                                                                                                                                                                                            |a0             |
|mimxrt1060|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1060)                                                                                                                                                                                                                                            |a0             |
|mimxrt1064|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1060)                                                                                                                                                                                                                                            |a0             |
|mimxrt1165|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/i-mx-rt-crossover-mcus/i-mx-rt1160-crossover-mcu-dual-core-arm-cortex-m7-and-cortex-m4:i.MX-RT1160)                                                                                                |a0             |
|mimxrt1166|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/i-mx-rt-crossover-mcus/i-mx-rt1160-crossover-mcu-dual-core-arm-cortex-m7-and-cortex-m4:i.MX-RT1160)                                                                                                |a0             |
|mimxrt1171|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1170)                                                                                                                                                                                                                                            |a0             |
|mimxrt1172|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1170)                                                                                                                                                                                                                                            |a0             |
|mimxrt1173|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1170)                                                                                                                                                                                                                                            |a0             |
|mimxrt1175|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1170)                                                                                                                                                                                                                                            |a0             |
|mimxrt1176|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1170)                                                                                                                                                                                                                                            |a0             |
|mimxrt1181|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1180)                                                                                                                                                                                                                                            |b0             |
|mimxrt1182|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1180)                                                                                                                                                                                                                                            |b0             |
|mimxrt1187|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1180)                                                                                                                                                                                                                                            |b0             |
|mimxrt1189|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT1180)                                                                                                                                                                                                                                            |b0             |
|mimxrt533s|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT500)                                                                                                                                                                                                                                             |b0             |
|mimxrt555s|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT500)                                                                                                                                                                                                                                             |b0             |
|mimxrt595s|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT500)                                                                                                                                                                                                                                             |b0             |
|mimxrt685s|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/i.MX-RT600)                                                                                                                                                                                                                                             |b0             |
|mimxrt735s|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/i-mx-rt-crossover-mcus/i-mx-rt700-crossover-mcu-with-arm-cortex-m33-npu-dsp-and-gpu-cores:i.MX-RT700)                                                                                              |b0             |
|mimxrt758s|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/i-mx-rt-crossover-mcus/i-mx-rt700-crossover-mcu-with-arm-cortex-m33-npu-dsp-and-gpu-cores:i.MX-RT700)                                                                                              |b0             |
|mimxrt798s|i.MX RT Crossover MCUs     |[Link to nxp.com](https://www.nxp.com/products/processors-and-microcontrollers/arm-microcontrollers/i-mx-rt-crossover-mcus/i-mx-rt700-crossover-mcu-with-arm-cortex-m33-npu-dsp-and-gpu-cores:i.MX-RT700)                                                                                              |b0             |
|mwct2012  |Wireless Power             |[Link to nxp.com](https://www.nxp.com/products/power-management/wireless-power:WIRCHA_ICS)                                                                                                                                                                                                             |b1             |
|mwct2012a |Wireless Power             |[Link to nxp.com](https://www.nxp.com/products/power-management/wireless-power:WIRCHA_ICS)                                                                                                                                                                                                             |b1             |
|mwct2014s |Wireless Power             |[Link to nxp.com](https://www.nxp.com/products/power-management/wireless-power/mwct2xxxs-microcontroller-for-wireless-charging-transmitter-ics:MWCT2xxxS)                                                                                                                                              |a0             |
|mwct2015s |Wireless Power             |[Link to nxp.com](https://www.nxp.com/products/power-management/wireless-power/mwct2xxxs-microcontroller-for-wireless-charging-transmitter-ics:MWCT2xxxS)                                                                                                                                              |a0             |
|mwct2016s |Wireless Power             |[Link to nxp.com](https://www.nxp.com/products/power-management/wireless-power/mwct2xxxs-microcontroller-for-wireless-charging-transmitter-ics:MWCT2xxxS)                                                                                                                                              |a0             |
|mwct20d2  |Wireless Power             |[Link to nxp.com](https://www.nxp.com/products/power-management/wireless-power:WIRCHA_ICS)                                                                                                                                                                                                             |b1             |
|mwct20d2a |Wireless Power             |[Link to nxp.com](https://www.nxp.com/products/power-management/wireless-power:WIRCHA_ICS)                                                                                                                                                                                                             |b1             |
|mwct2d16s |Wireless Power             |[Link to nxp.com](https://www.nxp.com/products/power-management/wireless-power/mwct2xxxs-microcontroller-for-wireless-charging-transmitter-ics:MWCT2xxxS)                                                                                                                                              |a0             |
|mwct2d17s |Wireless Power             |[Link to nxp.com](https://www.nxp.com/products/power-management/wireless-power/mwct2xxxs-microcontroller-for-wireless-charging-transmitter-ics:MWCT2xxxS)                                                                                                                                              |a0             |
|nhs52s04  |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless-connectivity/bluetooth-low-energy/nhs52s04-ultra-low-power-bluetooth-low-energy-solution-with-arm-cortex-m33-trustzone-for-medical-iot:NHS52S04)                                                                                               |a4             |
|rw610     |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless-connectivity/wi-fi-plus-bluetooth-plus-802-15-4/wireless-mcu-with-integrated-tri-radio-1x1-wi-fi-6-plus-bluetooth-low-energy-5-4-802-15-4:RW612)                                                                                               |a2             |
|rw612     |Wireless Connectivity MCUs |[Link to nxp.com](https://www.nxp.com/products/wireless-connectivity/wi-fi-plus-bluetooth-plus-802-15-4/wireless-mcu-with-integrated-tri-radio-1x1-wi-fi-6-plus-bluetooth-low-energy-5-4-802-15-4:RW612)                                                                                               |a2             |
## Supported environments

Windows 10 and 11, 64bit
Ubuntu 22.04.1 LTS
Mac OS Sonoma 14

## Usage

- See [installation](https://spsdk.readthedocs.io/en/latest/examples/_knowledge_base/installation_guide.html) guide
- See [examples](https://github.com/nxp-mcuxpresso/spsdk/tree/master/examples) directory
- See [application](https://github.com/nxp-mcuxpresso/spsdk/tree/master/spsdk/apps) directory

---

## Dependencies

The core dependencies are included in [requirements.txt](https://github.com/nxp-mcuxpresso/spsdk/blob/master/requirements.txt).

The dependencies for the development and testing are included in [requirements-develop.txt](https://github.com/nxp-mcuxpresso/spsdk/blob/master/requirements-develop.txt).
